package net.h34t.filemure

import io.javalin.Javalin
import net.h34t.filemure.controller.LoginController
import net.h34t.filemure.controller.OverviewController

class FilemureApp {

    private val modifiers = TemplateModifiers()

    private val loginPageController = LoginController(modifiers)

    private val overviewController = OverviewController(modifiers)

    fun register(server: Javalin) {
        server.get("/") { ctx ->
            if (ctx.sessionAttribute<Session>("user") != null) {
                overviewController.overview(ctx)
            } else {
                ctx.redirectPRG("/login")
            }
        }
        server.get("/login", loginPageController::formLogin)
        server.post("/login", loginPageController::doLogin)
        server.post("/logout", loginPageController::doLogout)
    }
}