-- account definition

CREATE TABLE account (
	id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
	email TEXT NOT NULL,
	password TEXT NOT NULL,
	created TEXT NOT NULL,
	unique(email)
);


-- document definition

CREATE TABLE document (
	id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
	ext_id TEXT NOT NULL,
	title TEXT NOT NULL,
	description TEXT NOT NULL,
	tags TEXT NOT NULL,
	created TEXT NOT NULL,
	reference_date TEXT
);

CREATE UNIQUE INDEX document_ext_id_idx ON document (ext_id);


-- file definition

CREATE TABLE file (
	id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
	document_id INTEGER NOT NULL,

	ext_id TEXT NOT NULL,
	name TEXT NOT NULL,
	created INTEGER NOT NULL,
	contents BLOB NOT NULL,
	CONSTRAINT file_document_FK FOREIGN KEY (document_id) REFERENCES document(id) ON DELETE CASCADE
);

CREATE UNIQUE INDEX file_ext_id_idx ON file (ext_id);